import React, { useState } from "react";

import TPopUp from "../../../components/TPopUp/TPopUp";
import { $L } from "../../../utils/helperMethods";
import css from "./CheckoutQRCode.module.less";

export default function CheckoutQRCode(open) {
  const handleCancel = () => {
    setOpen(false);
  };
  const [_open, setOpen] = useState(open);
  return (
    <>
      <TPopUp
        open={_open}
        kind="qrPopup"
        hasButton
        button1Text={$L("CLOSE")}
        hasText
        title={$L("QR CODE")}
        text={$L(
          "If you want to add or edit your address and payment information, please scan the QR CODE."
        )}
        onClose={handleCancel}
      ></TPopUp>
    </>
  );
}
